Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## glassfrog.tools
Class XMLErrorHandler

    java.lang.Object
      glassfrog.tools.XMLErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class XMLErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Dump all errors to stderr for XML

Author:
  josh

Field Summary
`private static java.lang.String` | `ERROR_LOG`
`private static java.lang.String` | `ERROR_LOGGER`
`private java.lang.String` | `logPath`

Constructor Summary
`XMLErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)` Dump all errors to stderr for XML
`void` | `fatalError(org.xml.sax.SAXParseException exception)` Dump all errors to stderr for XML
`void` | `warning(org.xml.sax.SAXParseException exception)` Dump all errors to stderr for XML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logPath

    private java.lang.String logPath

### ERROR_LOG

    private static final java.lang.String ERROR_LOG

See Also:
  Constant Field Values

### ERROR_LOGGER

    private static final java.lang.String ERROR_LOGGER

See Also:
  Constant Field Values

Constructor Detail

### XMLErrorHandler

    public XMLErrorHandler()

Method Detail

### error

    public void error(org.xml.sax.SAXParseException exception)

  Dump all errors to stderr for XML

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` -

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  Dump all errors to stderr for XML

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` -

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  Dump all errors to stderr for XML

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD